pf_fluid-openfoam-com-precice-solid-calculix-precice-regular:
  image: registry.gitlab.com/dune-archiso/images/dune-archiso-arch4edu:latest
  tags: [saas-linux-large-amd64]
  stage: start
  variables:
    SCRIPT: "https://gitlab.com/dune-archiso/testing/precice-arch-scripts/-/raw/main/tutorials/stable/perpendicular-flap/fluid-openfoam-com-precice/calculix-precice-regular.sh"
  timeout: 12 minutes
  before_script:
    - echo -e '\n[dune-archiso-repository-core]\nSigLevel = Required DatabaseOptional\nServer = https://dune-archiso.gitlab.io/repository/dune-archiso-repository-core/$arch\n' | sudo tee -a /etc/pacman.conf
  script:
    - curl -s ${SCRIPT} | bash -e -x
  artifacts:
    expire_in: never
    paths:
      - ${CI_PROJECT_DIR}/log
  needs:
    [
      "precice",
      "calculix-precice",
      "openfoam-com-precice",
      "precice-config-visualizer-git",
    ]

pf_fluid-openfoam-com-precice-solid-calculix-precice-regular-modal:
  image: registry.gitlab.com/dune-archiso/images/dune-archiso-arch4edu:latest
  tags: [saas-linux-large-amd64]
  stage: start
  variables:
    SCRIPT: "https://gitlab.com/dune-archiso/testing/precice-arch-scripts/-/raw/main/tutorials/stable/perpendicular-flap/fluid-openfoam-com-precice/calculix-precice-regular-modal.sh"
  timeout: 12 minutes
  before_script:
    - echo -e '\n[dune-archiso-repository-core]\nSigLevel = Required DatabaseOptional\nServer = https://dune-archiso.gitlab.io/repository/dune-archiso-repository-core/$arch\n' | sudo tee -a /etc/pacman.conf
  script:
    - curl -s ${SCRIPT} | bash -e -x
  artifacts:
    expire_in: never
    paths:
      - ${CI_PROJECT_DIR}/log
  needs:
    [
      "precice",
      "calculix-precice",
      "openfoam-com-precice",
      "precice-config-visualizer-git",
    ]

pf_fluid-openfoam-com-precice-solid-deal-ii-precice-stable-git:
  image: registry.gitlab.com/dune-archiso/images/dune-archiso-arch4edu:latest
  tags: [saas-linux-large-amd64]
  stage: start
  variables:
    SCRIPT: "https://gitlab.com/dune-archiso/testing/precice-arch-scripts/-/raw/main/tutorials/stable/perpendicular-flap/fluid-openfoam-com-precice/deal-ii-precice-git.sh"
  allow_failure: true
  timeout: 15 minutes
  before_script:
    - echo -e '\n[dune-archiso-repository-core]\nSigLevel = Required DatabaseOptional\nServer = https://dune-archiso.gitlab.io/repository/dune-archiso-repository-core/$arch\n' | sudo tee -a /etc/pacman.conf
  script:
    - curl -s ${SCRIPT} | bash -e -x
  artifacts:
    expire_in: never
    paths:
      - ${CI_PROJECT_DIR}/log
  needs:
    [
      "precice",
      "openfoam-com-precice",
      "deal-ii-precice-stable-git",
      "precice-config-visualizer-git",
    ]

pf_fluid-openfoam-com-precice-solid-python-fenicsprecice:
  image: registry.gitlab.com/dune-archiso/images/dune-archiso-arch4edu:latest
  tags: [saas-linux-large-amd64]
  stage: start
  variables:
    SCRIPT: "https://gitlab.com/dune-archiso/testing/precice-arch-scripts/-/raw/main/tutorials/stable/perpendicular-flap/fluid-openfoam-com-precice/python-fenicsprecice.sh"
  allow_failure: true
  timeout: 15 minutes
  before_script:
    - echo -e '\n[dune-archiso-repository-core]\nSigLevel = Required DatabaseOptional\nServer = https://dune-archiso.gitlab.io/repository/dune-archiso-repository-core/$arch\n' | sudo tee -a /etc/pacman.conf
  script:
    - curl -s ${SCRIPT} | bash -e -x
  artifacts:
    expire_in: never
    paths:
      - ${CI_PROJECT_DIR}/log
  needs:
    [
      "precice",
      "python-pyprecice",
      "python-fenicsprecice",
      "python-bottombar",
      "python-treelog",
      "python-stringly",
      "python-nutils",
      "precice-config-visualizer-git",
    ]
